# Class: Feature

## Feature()

#### new Feature()

Source:
  - Feature.js, line 12

### Methods

#### (async, static) createObj() → {Promise.<Feature>}

构造一个新的 Feature 对象。

Source:
  - Feature.js, line 21

##### Returns:

Type
  Promise.<Feature>

#### (async, static) getAttributes()

获取要素属性

Source:
  - Feature.js, line 50

#### (async, static) getID() → {Promise.<(*|*)>}

获取要素ID

Source:
  - Feature.js, line 37

##### Returns:

Type
  Promise.<(*|*)>

#### (async, static) toGraphics() → {Promise.<Array>}

要素转Graphic

Source:
  - Feature.js, line 64

##### Returns:

Type
  Promise.<Array>